# novaclient.v2.server_migrations module

class novaclient.v2.server_migrations.ServerMigration(manager, info, loaded=False, resp=None)

  Bases: `Resource`

  Populate and bind to a manager.

  Parameters:

    - manager – BaseManager object

    - info – dictionary representing resource attributes

    - loaded – prevent lazy-loading if set to True

    - resp – Response or list of Response objects

class novaclient.v2.server_migrations.ServerMigrationsManager(api)

  Bases: `ManagerWithFind`

  get(server, migration)

    Get a migration of a specified server

    Parameters:

      - server – The `Server` (or its ID)

      - migration – Migration id that will be gotten.

    Returns:

      An instance of novaclient.v2.server_migrations.ServerMigration

  list(server)

    Get a migrations list of a specified server

    Parameters:

      server – The `Server` (or its ID)

    Returns:

      An instance of novaclient.base.ListWithMeta

  live_migrate_force_complete(server, migration)

    Force on-going live migration to complete

    Parameters:

      - server – The `Server` (or its ID)

      - migration – Migration id that will be forced to complete

    Returns:

      An instance of novaclient.base.TupleWithMeta

  live_migration_abort(server, migration)

    Cancel an ongoing live migration

    Parameters:

      - server – The `Server` (or its ID)

      - migration – Migration id that will be cancelled

    Returns:

      An instance of novaclient.base.TupleWithMeta

  resource_class

    alias of `ServerMigration`

this page last updated: 2026-04-01 09:32:37

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug